LIRCRCD(8)

NAME
lircrcd - daemon to handle consistent .lircrc state among client applications

SYNOPSIS
lircrcd [options] config-file

DESCRIPTION

lircrcd reads the given .lircrc config file and synchronises the mode that the LIRC clients such as (irexec(1), irxevent(1) , etc.) are in. Using lircrcd has to be explicitly enabled in the lircrc config file by adding the following line at the beginning of the file:

    lircrc_class default

This must be done at the top-level file, not an included one. The lircrc_class string (here "default") could actually be anything; clients using the same string in their lircrc will be synchronized.

OPTIONS

-h --help
    display help message

-v --version
    display version

-p, --permission=mode
    The --permission option gives the file permission of the Unix domain socket lircrcd creates on startup in octal representation. Read the documentation for chmod for further details. If no --permission option is given when the socket is created the default is to give only the user owning the file read and write permissions (0600 in octal representation).

-o, --output=socket
    With the --output option you can select the Unix domain socket, which lircrcd will create. The default is to create a socket in VARRUNDIR (usually /var/run/lirc), see FILES.

FILES
lircrcd creates its socket(s) in the VARRUNDIR directory, usually /var/run/lirc. The socket basename includes the user UID and the string from the lircrc_class option.

SEE ALSO
The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.